Page MenuHomePhabricator

Implement coordinate converter in Wikinity to allow users to use more coordinate formats
Closed, ResolvedPublic

Description

When you're searching for (un)photographed objects near provided coordinate, you are enforced to use decimal degrees format (49.9922950N, 15.8848811E). Wikinity users will benefit if they can specify the coordinates they want to search around in other coordinate formats as well, such as (all coordinates listed below are another format of same coordinate):

  • degrees, minutes (N 49°59.5377', E 15°53.092866')
  • degrees, minutes, seconds (N 49°59'32", E 15°53'6")

However, Wikidata requires decimal degrees format. Wikinity must convert coordinates internally and pass decimal degrees to Wikidata.

Example coordinate converter is on https://www.directionsmag.com/site/latlong-converter/.

Event Timeline

Urbanecm created this task.Apr 2 2018, 1:56 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptApr 2 2018, 1:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm claimed this task.Apr 2 2018, 1:57 PM
Urbanecm triaged this task as Normal priority.
Urbanecm moved this task from Backlog to Later on the User-Urbanecm board.Apr 2 2018, 2:12 PM
Urbanecm moved this task from Later to Own projects on the User-Urbanecm board.Apr 23 2018, 11:30 AM
Urbanecm removed Urbanecm as the assignee of this task.May 29 2018, 2:05 PM
Urbanecm removed a subscriber: Aklapper.
Urbanecm renamed this task from Implement coordinate convertion to Allow users to use more than one coordinate format.Sep 28 2018, 3:13 PM
Urbanecm updated the task description. (Show Details)
Urbanecm updated the task description. (Show Details)Sep 28 2018, 3:50 PM
Urbanecm updated the task description. (Show Details)Sep 28 2018, 3:55 PM
Urbanecm renamed this task from Allow users to use more than one coordinate format to Implement coordinate converter in Wikinity to allow users to use more coordinate formats.Sep 28 2018, 4:16 PM

@Urbanecm, this: https://www.mediawiki.org/wiki/Google_Code-in/Mentors#General_instructions will be useful as you create upcoming tasks :). Thank you!

Thank you, will remember it.

Urbanecm moved this task from Watching to GCI on the User-Urbanecm board.Oct 18 2018, 11:42 AM

I've added three fields. I've also switched the fields to a "number" type and added some basic error checking. I've restricted latitude(degrees) to the range [-90, 90], longitude(degrees) to [-180, 180] and all minutes and seconds to the range [0, 60]. Error checking is not very robust, but imo would do (you be the judge).

Change 469641 had a related patch set uploaded (by Shreyasminocha; owner: Shreyasminocha):
[labs/tools/wikinity@master] Allow users to enter coords in DMS format

https://gerrit.wikimedia.org/r/469641

Urbanecm moved this task from Backlog to Working on on the Wikinity board.Oct 25 2018, 5:09 PM

Change 469641 merged by jenkins-bot:
[labs/tools/wikinity@master] Allow users to enter coords in DMS format

https://gerrit.wikimedia.org/r/469641

Shreyasminocha closed this task as Resolved.Oct 26 2018, 5:33 PM